package pay

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_pay.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_pay.git/db/model"
	"errors"
)

func JudgePayChannel(mid, paySceneIdentifier string) (model.PayChannel, error) {
	var payChannelMaster = model.PayChannelMaster{}
	var payChannel = model.PayChannel{}
	_, err := db.Db.Where("app_id = ?", mid).And("identifier = ?", paySceneIdentifier).Get(&payChannelMaster)
	if err != nil {
		return payChannel, err
	}
	if payChannelMaster.ChannelId == 0 {
		return payChannel, errors.New("请联系服务商绑定支付渠道")
	}
	return payChannel, nil
}
